VariableErrorHandlingDescriptor (install4j API)
Date: 2010-09-29

Overview | Package | Class | Tree | Deprecated | Index | Help
| install4j API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.install4j.api.beans
Class VariableErrorHandlingDescriptor

    java.lang.Object
      com.install4j.api.beans.VariableErrorHandlingDescriptor

    public class VariableErrorHandlingDescriptor

extends java.lang.Object

Specifies the error handling for variable replacements. Instances of this class are passed to some of the `replaceVariables(...)` methods in `AbstractBean`.

Each variable type (installer variable, I18N message and compiler variable has its own error handling.

Note: compiler variables in the project are replaced at compile time. Compiler variables in external files, such as a custom localization file are not replaced at a compile time.

Author:
  ej-technologies GmbH

Field Summary
`static VariableErrorHandlingDescriptor` | `ALWAYS_ERROR_MESSAGE` Always replace undefined variables with an error message.
`static VariableErrorHandlingDescriptor` | `ALWAYS_EXCEPTION` Always throw exceptions for undefined variables.
`static VariableErrorHandlingDescriptor` | `ALWAYS_IGNORE` Ignore all undefined variables.
`static VariableErrorHandlingDescriptor` | `DEFAULT` The default error handling.

Constructor Summary
`VariableErrorHandlingDescriptor(VariableErrorHandling installerVariables, VariableErrorHandling i18nKeys, VariableErrorHandling compilerVariables)` Construct a custom variable error handling

Method Summary
`VariableErrorHandling` | `getCompilerVariables()` Returns the error handling for compiler variables.
`VariableErrorHandling` | `getI18nKeys()` Returns the error handling for localization keys.
`VariableErrorHandling` | `getInstallerVariables()` Returns the error handling for installer variables.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT

    public static final VariableErrorHandlingDescriptor DEFAULT

  The default error handling. Throw an exception fo undefined installer variables, replace undefined localization keys and compiler variables with an error message.

### ALWAYS_IGNORE

    public static final VariableErrorHandlingDescriptor ALWAYS_IGNORE

  Ignore all undefined variables.

### ALWAYS_ERROR_MESSAGE

    public static final VariableErrorHandlingDescriptor ALWAYS_ERROR_MESSAGE

  Always replace undefined variables with an error message.

### ALWAYS_EXCEPTION

    public static final VariableErrorHandlingDescriptor ALWAYS_EXCEPTION

  Always throw exceptions for undefined variables.

Constructor Detail

### VariableErrorHandlingDescriptor

    public VariableErrorHandlingDescriptor(VariableErrorHandling installerVariables,
                                           VariableErrorHandling i18nKeys,
                                           VariableErrorHandling compilerVariables)

  Construct a custom variable error handling

  Parameters:
    `installerVariables` - error handling for installer variables
    `i18nKeys` - error handling for localization keys
    `compilerVariables` - error handling for compiler variables

Method Detail

### getInstallerVariables

    public VariableErrorHandling getInstallerVariables()

  Returns the error handling for installer variables.

  Returns:
    the error handling

### getI18nKeys

    public VariableErrorHandling getI18nKeys()

  Returns the error handling for localization keys.

  Returns:
    the error handling

### getCompilerVariables

    public VariableErrorHandling getCompilerVariables()

  Returns the error handling for compiler variables.

  Returns:
    the error handling

Overview | Package | Class | Tree | Deprecated | Index | Help
| install4j API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD